##############
# GET Method #
##############
param (
  [string]$version = "",
  [string]$err = ""
)

begin {
  [System.Reflection.Assembly]::LoadWithPartialName("System.Web") | out-null
  $get = "http://api.pushingbox.com/pushingbox?devid=v0123456789ABCDE&version=" + [System.Web.HttpUtility]::UrlEncode($version) + "&error=" + [System.Web.HttpUtility]::UrlEncode($err)
  (new-object System.Net.WebClient).DownloadString($get)
}

###############
# POST Method #
###############
param (
  [string]$version = "",
  [string]$err = ""
)

begin {
  [System.Reflection.Assembly]::LoadWithPartialName("System.Web") | out-null
  $post = new-object System.Collections.Specialized.NameValueCollection
  $post.Add("devid", "v0123456789ABCDE")
  $post.Add("version", $version)
  $post.Add("error", $err)
  (new-object System.Net.WebClient).UploadValues("http://api.pushingbox.com/pushingbox", $post)
}